<back to all web services

GetItemsTargetLanguagesStatuses

The following routes are available for this service:
POST/RestApi/translations/getTargetLanguagesStatuses
import Foundation
import ServiceStack

public class GetItemsTargetLanguagesStatuses : Codable
{
    public var ids:[String]
    public var contentType:String
    public var sourceLanguage:String
    public var skip:Int
    public var take:Int

    required public init(){}
}

// @DataContract
public class CollectionContext<T : Codable> : Codable
{
    // @DataMember
    public var totalCount:Int

    // @DataMember
    public var isGeneric:Bool

    // @DataMember
    public var context:[String:String]

    // @DataMember
    public var items:[ItemsTargetLanguageStatusProxy]

    required public init(){}
}

public class ItemsTargetLanguageStatusProxy : Codable
{
    public var code:String
    public var name:String
    public var someItemsHaveIncompatiblePendingTranslations:Bool
    public var allItemsHaveIncompatiblePendingTranslations:Bool

    required public init(){}
}


Swift GetItemsTargetLanguagesStatuses DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/getTargetLanguagesStatuses HTTP/1.1 
Host: www.imglobal.com 
Accept: application/json
Content-Type: application/json
Content-Length: length

{"Ids":["00000000-0000-0000-0000-000000000000"],"SourceLanguage":"String","Skip":0,"Take":0}
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"TotalCount":0,"IsGeneric":false,"Items":[]}